#!/usr/bin/env python
import cgi
import os
import pygeoip

def header():
    print("Content-type: text/plain")
    print("")

def main():
    params = cgi.FieldStorage()
    out = {
      "ip": None,
      "country": None,
      "continent": None,
      "location": None
    }
    header()
    client_ip = cgi.escape(os.environ["REMOTE_ADDR"])
    format = F_PLAIN
    if(len(params) > 0):
        for key in params:
            if key == "geo":
                gi = pygeoip.GeoIP('GeoLiteCity.dat')
                geo_info = gi.record_by_addr(ip)
                print(geo_info)
    else:
        print(client_ip)

if __name__ == "__main__":
    main()
